Class | Bio::TMHMM::Report
In: | lib/bio/appl/tmhmm/report.rb
Parent: | Object

# TMHMM report parser class.

### Methods

helix new to_s

### External Aliases

query_len | -> | length

### Attributes

entry_id | [R] | Returns
exp_aas_in_tmhs | [R] | Returns
exp_first_60aa | [R] | Returns
predicted_tmhs | [R] | Returns
query_len | [R] | Returns
tmhs | [R] | Returns an Array of Bio::TMHMM::TMH.
total_prob_of_N_in | [R] | Returns

### Public Class methods

new(entry = nil)

[Source]

        # File lib/bio/appl/tmhmm/report.rb, line 85
    85:       def initialize(entry = nil)
    86:         begin
    87:           str = entry.to_str
    88:         rescue NoMethodError
    89:         end
    90:         if str then
    91:           entry = str.enum_for(:each_line)
    92:         end
    93:         parse_header(entry)
    94:         @tmhs = parse_tmhs(entry)
    95:       end

### Public Instance methods

helix()

Returns an Array of Bio::TMHMM::TMH including only "TMhelix".

[Source]

         # File lib/bio/appl/tmhmm/report.rb, line 98
     98:       def helix
     99:         @tmhs.map {|t| t if t.status == 'TMhelix' }.compact
    100:       end

to_s()

[Source]

         # File lib/bio/appl/tmhmm/report.rb, line 103
    103:       def to_s
    104:         [
    105:           [
    106:             ["Length:",                    @query_len],
    107:             ["Number of predicted TMHs:",  @predicted_tmhs],
    108:             ["Exp number of AAs in THMs:", @exp_aas_in_tmhs],
    109:             ["Exp number, first 60 AAs:",  @exp_first_60aa],
    110:             ["Total prob of N-in:",        @total_prob_of_N_in]
    111:           ].map {|e| "\# " + [@entry_id, e].flatten.join("\t") },
    112:           tmhs.map {|ent| ent.to_s }
    113:         ].flatten.join("\n")
    114:       end

[Validate]